Ulsav Docs

Insights

POST
/api/v1/analytics/collect

Request Body

application/json
  1. body
accountId?string
campaign?string
eventId?string
eventType*string

One of the beacon allowlist: event.viewed, checkout.started, credential.viewed, credential.shared, outbound.clicked.

identityScope?string
landingHost?string
medium?string
navigationId?string
orderId?string
organizationId*string

Owning Organization id.

participantId?string
referrerHost?string
sessionId?string
source?string
visitorId?string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
accepted*boolean
Example Request
curl -X POST 'https://example.com/api/v1/analytics/collect' \  -H 'Content-Type: application/json' \  -d '{  "eventType": "string",  "organizationId": "string"}'
Example Response
{  "$schema": "https://example.com/schemas/CollectOutputBody.json",  "accepted": true}
GET
/api/v1/organizations/{organization_id}/dashboard

Path Parameters

organization_id*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
gettingStarted?
percentages?
registrations?
revenue?
traffic?
upcoming?array<>|null
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/dashboard'
Example Response
{  "$schema": "https://example.com/schemas/DashboardView.json",  "gettingStarted": {    "firstCheckIn": true,    "firstEventPublished": true,    "firstPayout": true,    "firstRegistration": true,    "organizationSetup": true,    "paidPassSetup": true,    "teamInvited": true  },  "percentages": {    "capacitySold": {      "denominator": 0,      "numerator": 0    },    "conversion": {      "all": {        "denominator": 0,        "numerator": 0      },      "today": {        "denominator": 0,        "numerator": 0      },      "week": {        "denominator": 0,        "numerator": 0      }    },    "turnout": {      "denominator": 0,      "numerator": 0    }  },  "registrations": {    "daily": [      {        "day": "string",        "value": 0      }    ],    "today": 0,    "total": 0  },  "revenue": {    "daily": [      {        "day": "string",        "value": 0      }    ],    "today": 0,    "total": 0  },  "traffic": {    "daily": [      {        "day": "string",        "value": 0      }    ],    "today": 0,    "total": 0  },  "upcoming": [    {      "category": "string",      "eventId": "string",      "name": "string",      "participants": 0,      "participationMode": "string",      "slug": "string",      "startAt": "string",      "timezone": "string"    }  ]}
GET
/api/v1/organizations/{organization_id}/insights/breakup

Path Parameters

organization_id*string

Query Parameters

kind?string

sources, categories, or events.

period?string

today, 7d, 30d, or all.

Default"30d"

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
items*array<>|null
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/insights/breakup'
Example Response
{  "$schema": "https://example.com/schemas/BreakupOutputBody.json",  "items": [    {      "count": 0,      "key": "string",      "label": "string",      "revenueMinor": 0    }  ]}
GET
/api/v1/organizations/{organization_id}/insights/overview

Path Parameters

organization_id*string

Query Parameters

eventId?string

Scope the overview to one Event.

eventGroupId?string

Scope the overview to an EventGroup's Events.

eventSeriesId?string

Scope the overview to an EventSeries' Events.

days?integer

Trailing window in days; 0 means all time.

Formatint64
Default30

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
attendanceFunnel?
attribution?array<>|null
marketingFunnel?
period*
sales?
topEvents?array<>|null
traffic?
trend?array<>|null
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/insights/overview'
Example Response
{  "$schema": "https://example.com/schemas/OverviewView.json",  "attendanceFunnel": {    "key": "string",    "stages": [      {        "count": 0,        "key": "string"      }    ]  },  "attribution": [    {      "confirmed": 0,      "grossMinor": 0,      "medium": "string",      "source": "string"    }  ],  "marketingFunnel": {    "key": "string",    "stages": [      {        "count": 0,        "key": "string"      }    ]  },  "period": {    "from": "string",    "to": "string"  },  "sales": {    "aovMinor": 0,    "confirmedCount": 0,    "freeCount": 0,    "money": {      "currency": "string",      "feeMinor": 0,      "grossMinor": 0,      "netMinor": 0,      "taxMinor": 0    },    "previous": {      "aovMinor": 0,      "confirmedCount": 0,      "grossMinor": 0,      "netMinor": 0    }  },  "topEvents": [    {      "confirmed": 0,      "eventId": "string",      "eventName": "string",      "grossMinor": 0    }  ],  "traffic": {    "sources": [      {        "medium": "string",        "source": "string",        "viewCount": 0,        "visitorCount": 0      }    ],    "views": 0,    "visitors": 0  },  "trend": [    {      "confirmed": 0,      "day": "string",      "grossMinor": 0,      "netMinor": 0    }  ]}